summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author GPLeo2010-04-09 05:42:56 +0200
committer David Somero2010-05-15 10:27:16 +0200
commitef3e7c33d311465c15680d083ccfaee44ef03a85 (patch)
tree80a83605ff006c5457c1f6d5474a87793bdbc0f1
parentd0c9fa79ea0f2da2a6f38890de01fbe580afc676 (diff)
downloadslackbuilds-ef3e7c33d311465c15680d083ccfaee44ef03a85.tar.gz
network/sylpheed: Updated build and added license.
-rw-r--r--network/sylpheed/sylpheed.SlackBuild46
-rw-r--r--network/sylpheed/sylpheed.info2
2 files changed, 36 insertions, 12 deletions
diff --git a/network/sylpheed/sylpheed.SlackBuild b/network/sylpheed/sylpheed.SlackBuild
index b530ee313c..a05f2962ab 100644
--- a/network/sylpheed/sylpheed.SlackBuild
+++ b/network/sylpheed/sylpheed.SlackBuild
@@ -1,23 +1,45 @@
#!/bin/sh
-#
+
# Slackware build script for sylpheed
-# Written by GPLeo <gpleomail@gmail.com>
+
+# Copyright 2006 Martin Lefebvre (http://dadexter.slackadelic.com)
+# Copyright 2008-2010 GPLeo <gpleomail@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
PRGNAM=sylpheed
-VERSION=${VERSION:-3.0.1}
-ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
-TAG=${TAG:-_SBo}
+VERSION=${VERSION:-3.0.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
CWD=$(pwd)
-TMP=${TMP:-/tmp/SBo}
+TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
-OUTPUT=${OUTPUT:-/tmp}
+OUTPUT=${OUTPUT:-/tmp}
DOCS="ABOUT-NLS AUTHORS COPYING COPYING.LIB
INSTALL LICENSE README TODO"
+set -e
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
@@ -30,8 +52,6 @@ elif [ "$ARCH" = "x86_64" ]; then
LIBDIRSUFFIX="64"
fi
-set -e # Exit on most errors
-
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
@@ -59,7 +79,9 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install-strip DESTDIR=$PKG
-
+# Install desktop file and icon (we'll use the largest icon available by
+# default - that way, it will scale down just fine for users who need a
+# smaller one, but smaller ones don't always scale larger so well)
mkdir -p $PKG/usr/share/{applications,pixmaps}
install -m 0644 sylpheed.desktop $PKG/usr/share/applications/sylpheed.desktop
install -m 0644 sylpheed-128x128.png $PKG/usr/share/pixmaps/sylpheed.png
@@ -69,6 +91,8 @@ cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+# Put links to manual and faq in doc directory (leave them in current location
+# in case any app-specific help files look there)
( cd $PKG/usr/doc/$PRGNAM-$VERSION
ln -s ../../share/sylpheed/faq faq
ln -s ../../share/sylpheed/manual manual
diff --git a/network/sylpheed/sylpheed.info b/network/sylpheed/sylpheed.info
index 3547b6c3b1..a9cd86df72 100644
--- a/network/sylpheed/sylpheed.info
+++ b/network/sylpheed/sylpheed.info
@@ -7,4 +7,4 @@ MD5SUM="0d349e04ffc50ca43e24e9fb5794692e"
MD5SUM_x86_64=""
MAINTAINER="GPLeo"
EMAIL="gpleomail@gmail.com"
-APPROVED="Erik Hanson"
+APPROVED="dsomero"